//
// Author: Corey Schram
// Description:
//

var mvc = require('../../node-mvc'),
    model = mvc.model,
    couchdb = mvc.db.couchdb;

exports.Note = couchdb.Model.extend({
    _database : 'notes',
    _fields : {
        title : new model.ModelField({
            required : true,
            defaultValue : 'Title'
        }),
        body : new model.ModelField({
            require : true,
            defaultValue : 'Body'
        })
    }
});